Failed attempt to upgrade to 2.8

Chat about Linux in general
Post Reply
Rob0311
Level 1
Level 1
Posts: 11
Joined: Sat Nov 08, 2014 5:17 am
Location: Switzerland

Failed attempt to upgrade to 2.8

Post by Rob0311 » Mon Aug 26, 2019 6:37 am

As a Linux beginner (after a Windows XP package), I have been running my CNC for a few years with LinuxCNC, and finally upgraded to 2.7.14
Over the last months I upgraded the machine hardware., Motivated by the 'it's easy' comments in Topic 'Install current master 2.8' tried to do so,
Followed the instructions in that topic, and the lines http://builtbot.linuxorg/wheezy master-rt were already listed in Synaptic-Settings-Repositoryies-Other software.

Unfortunately the update started but kept hanging on some process for python. Could not select and copy list of errors in the terminal output,
after 30 min I terminated the process.

In the update manager, ran checking for updates. message:
An internal error has occurred and the operation has been aborted.

Error message:

Code: Select all

Fetch failed: W:Failed to fetch http://security.debian.org/dists/wheezy/updates/main/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/main/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, E:Some index files failed to download. They have been ignored, or old ones used instead.
I tried to go back to 2.7:
Followed the instructions and reset the package selections to 2.7
in synaptic, found linuxcnc, selected it, and selected 'force version' in from the pull down list. This only listed 10's of 2.9 versions, no 2.7
and generated a long list of errors.

Error messages:

Code: Select all

Fetch failed: W:Failed to fetch http://security.debian.org/dists/wheezy/updates/main/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/main/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/main/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/contrib/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/non-free/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/main/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/contrib/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy/non-free/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.us.debian.org/debian/dists/wheezy/contrib/binary-i386/Packages  404  Not Found [IP: 64.50.236.52 80]
, W:Failed to fetch http://http.us.debian.org/debian/dists/wheezy/main/binary-i386/Packages  404  Not Found [IP: 64.50.236.52 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/main/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/contrib/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/non-free/source/Sources  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/main/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/contrib/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, W:Failed to fetch http://http.debian.net/debian/dists/wheezy-updates/non-free/binary-i386/Packages  404  Not Found [IP: 151.101.240.204 80]
, E:Some index files failed to download. They have been ignored, or old ones used instead.
Looks like I am stuck and need to do a clean install. Is a real kit of 2.8 released soon, or should I just stick with 2.7 and forget further witchcraft?
Is is just a simple desktop CNC machine anyway.

Thanks, Rob.

User avatar
JoeFootball
Level 7
Level 7
Posts: 1885
Joined: Tue Nov 24, 2009 1:52 pm
Location: /home/usa/mn/minneapolis/joe

Re: Failed attempt to upgrade to 2.8

Post by JoeFootball » Mon Aug 26, 2019 6:45 am

Rob0311 wrote: Fetch failed: W:Failed to fetch http://security.debian.org/dists/wheezy ... ce/Sources 404 Not Found [IP: 151.101.240.204 80]
I don't know anything about LinuxCNC, but I'm pretty sure support for Debian 7 Wheezy ended long ago, so I guess that's why you're not finding its repositories still online.

Joe
Last edited by JoeFootball on Mon Aug 26, 2019 6:49 am, edited 1 time in total.

User avatar
Moem
Level 19
Level 19
Posts: 9220
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: Failed attempt to upgrade to 2.8

Post by Moem » Mon Aug 26, 2019 6:47 am

Mod note:
Since this does not seem to be about any version of Linux Mint, I'll move it to the 'Chat about Linux' section.
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!

Rob0311
Level 1
Level 1
Posts: 11
Joined: Sat Nov 08, 2014 5:17 am
Location: Switzerland

Re: Failed attempt to upgrade to 2.8

Post by Rob0311 » Mon Aug 26, 2019 8:30 am

Sorry,

Simply posted in the wrong forum...
Need more coffee in the morning.

Rob

Post Reply

Return to “Chat about Linux”